=== modified file 'src/app.js'
--- src/app.js	2014-08-03 21:09:38 +0000
+++ src/app.js	2014-11-18 17:27:26 +0000
@@ -5,14 +5,14 @@
  * in the file lgpl-3.0.txt in the root of this project.
  */
 
-const cairo = imports.gi.cairo;
+
+const Gettext = imports.gettext;
 const Gio = imports.gi.Gio;
 const GLib = imports.gi.GLib;
 const GObject = imports.gi.GObject;
 const Gtk = imports.gi.Gtk;
+const _ = imports.gettext.gettext;
 const Lang = imports.lang;
-const _ = imports.gettext.gettext;
-const Gettext = imports.gettext;
 
 const SettingsData = imports.settings_data;
 /* const Style = imports.style; */

=== modified file 'src/main.js'
--- src/main.js	2014-06-09 10:35:45 +0000
+++ src/main.js	2014-11-18 17:27:26 +0000
@@ -1,7 +1,7 @@
 #!/usr/bin/gjs
 
 
-imports.searchPath.unshift('.', './src/');
+imports.searchPath.unshift('.', './src/'); //FIXME
 const Application = imports.app;
 
 function main (argv) {

=== modified file 'src/preferences_ui.js'
--- src/preferences_ui.js	2014-07-07 21:13:06 +0000
+++ src/preferences_ui.js	2014-11-18 17:27:26 +0000
@@ -6,8 +6,8 @@
  */
 
 const Gtk = imports.gi.Gtk;
+const _ = imports.gettext.gettext;
 const Lang = imports.lang;
-const _ = imports.gettext.gettext;
 
 const SettingsData = imports.settings_data;
 

=== modified file 'src/settings_data.js'
--- src/settings_data.js	2014-07-07 21:13:06 +0000
+++ src/settings_data.js	2014-11-18 17:27:26 +0000
@@ -5,14 +5,17 @@
  * in the file lgpl-3.0.txt in the root of this project.
  */
 
+
 const Gio = imports.gi.Gio;
 const GLib = imports.gi.GLib;
-
 const Lang = imports.lang;
 const System = imports.system;
 
 let _default_settings_object = null;
 
+/** @file
+ */
+
 /**
  * Please use this function when getting the settings data object. It is not
  * good to have multiple instances of the settings data object, it may

=== added file 'src/user_button.js'
--- src/user_button.js	1970-01-01 00:00:00 +0000
+++ src/user_button.js	2014-11-18 17:27:26 +0000
@@ -0,0 +1,79 @@
+/* This file is part of GPump, a Pump.io client.
+ *
+ * GPump (THE SOFTWARE) is made available under the terms and conditions of the
+ * GNU Lesser General Public Licence 3.0. A copy of the licence can be read
+ * in the file lgpl-3.0.txt in the root of this project.
+ */
+
+/** @file
+ * UserButton is a custom button that displays the users avatar and name.
+ */
+
+const GObject = imports.gi.GObject;
+const Gtk = imports.gi.Gtk;
+const Lang = imports.lang;
+
+const UserButton = Lang.Class ({
+  Name: "UserButton",
+  Extends: Gtk.Button,
+  Properties: {
+    "user_avatar": GObject.param_spec_object ("user_avatar",
+                                     "avatar",
+                                     "A Gtk.Image that is shown in the button",
+                                     GObject.Object,
+                                     GObject.ParamFlags.READABLE |
+                                     GObject.ParamFlags.WRITABLE),
+    
+    "user_name": GObject.param_spec_string ("user_name",
+                                     "name",
+                                     "The text to be shown on the button",
+                                     "user name goes here",
+                                     GObject.ParamFlags.READABLE |
+                                     GObject.ParamFlags.WRITABLE),
+    
+    "show_avatar_only": GObject.param_spec_boolean ("show_avatar_only",
+                                     "show only avatar",
+                                     "When set, only the avatar will be shown" +
+                                     "in the user button",
+                                     false,
+                                     GObject.ParamFlags.READABLE |
+                                     GObject.ParamFlags.WRITABLE)
+  },
+  
+  
+  _init: function (params) {
+    this.parent (params);
+    this.set_property ('always-show-image', true);
+  },
+  
+  get user_avatar () {
+    return this._user_avatar;
+  },
+  
+  set user_avatar (avatar) {
+    if (avatar == null) {
+      this.set_image ();
+    } else {
+      this.set_image (avatar);
+      this._user_avatar = avatar;
+    }
+  },
+  
+  get user_name () {
+    return this._user_name;
+  },
+  
+  set user_name (name) {
+    this._user_name = name;
+    this.parent.set_property ("label", name);
+  },
+  
+  get show_avatar_only () {
+    return _show_avatar_only;
+  },
+  
+  set show_avatar_only (show_avatar) {
+    this._show_avatar_only = show_avatar;
+  }
+  
+});

